<?php
/**
 * @file
 * Filmforge installation profile.
 *
 * This code was generated by the profile wizard and then heavily
 * hand-edited to add views, panels, blocks and menus
 *
 * @date 25-6-2007
 *
 * @todo there's still a few functions to implement (see the functions
 * at the end), and a README would be nice. look for other @todo in
 * this file for more information
 * 
 */

/*
 * You must include the crud.inc file in your profile.  The file is
 * part of the install_profile_api module.
 *
 * @todo fix this path...?
 */
include_once('crud.inc');

/**
* The modules that are enabled when this profile is installed.
*
* @return
*  An array of modules to be enabled.
*/
function filmforge_profile_modules() {
  
  return array(

    /* CCK */
    'content', 'date', 'fieldgroup', 'nodereference', 'number', 'optionwidgets', 'text', 'userreference', 'votingapi_field', 

    /* Core - optional */
    'aggregator', 'color', 'comment', 'contact', 'help', 'locale', 'menu', 'path', 'profile', 'search', 'taxonomy', 'throttle', 'upload', 

    /* Core - required */
    'block', 'filter', 'node', 'system', 'user', 'watchdog', 

    /* Image */
    'image', 'image_attach', 

    /* Licenses */
    'creativecommons_lite', 

    /* Multilanguage - i18n */
    'i18n', 'i18nblocks', 'i18nmenu', 'i18nprofile', 'i18ntaxonomy', 'i18nviews', 'translation', 

    /* Multilanguage - i18n - experimental */
    'i18ncontent', 'i18nstrings', 'i18nsync', 'ttext', 

    /* Other */
    'autolocale', 'date_api', 'diff', 'panels', 'pathauto', 'pearwiki_filter', 'recent_changes', 'wikitools', 

    /* Taxonomy */
    'tagadelic', 

    /* Video */
    'video', 'video_customfields', 'video_ffmpeg_helper', 'video_image', 'video_multidownload', 'video_optmetadata', 'video_params', 'video_upload', 

    /* Views */
    'nodecloud', 'views', 'views_bonus', 'views_rss', 'views_theme_wizard', 'views_ui', 

    /* Voting */
    'fivestar', 'votingapi', 
  
  );
  
}  
  
/**
* Implementation of hook_profile_details().
*
* This contains an array of profile details for display from the main selection screen.
*/
function filmforge_profile_details() {
  return array(
    'name' => st('Filmforge install profile'),
    'description' => st('This install profile installs a video-based community website.')
  );
}
    
  
/**
* Implementation of hook_profile_final().
*
* FilmForge platform installation.
*/
function filmforge_profile_final() {

  /* Build content types */
    $types = array (
  'image' => 
  array (
    'name' => 'Image',
    'module' => 'image',
    'description' => st('An image (with thumbnail). This is ideal for publishing photographs or screenshots.'),
    'type' => 'image',
    'has_title' => true,
    'title_label' => 'Title',
    'has_body' => true,
    'body_label' => 'Body',
    'custom' => false,
    'modified' => false,
    'locked' => true,
    'orig_type' => 'image',
    'is_new' => true,
  ),
  'page' => 
  array (
    'type' => 'page',
    'name' => 'Page',
    'module' => 'node',
    'description' => st('If you want to add a static page, like a contact page or an about page, use a page.'),
    'help' => '',
    'has_title' => '1',
    'title_label' => 'Title',
    'has_body' => '1',
    'body_label' => 'Body',
    'min_word_count' => '0',
    'custom' => '1',
    'modified' => '1',
    'locked' => '0',
    'orig_type' => 'page',
    'is_new' => true,
  ),
  'story' => 
  array (
    'type' => 'story',
    'name' => 'Story',
    'module' => 'node',
    'description' => st('Stories are articles in their simplest form: they have a title, a teaser and a body, but can be extended by other modules. The teaser is part of the body too. Stories may be used as a personal blog or for news articles.'),
    'help' => '',
    'has_title' => '1',
    'title_label' => 'Title',
    'has_body' => '1',
    'body_label' => 'Body',
    'min_word_count' => '0',
    'custom' => '1',
    'modified' => '1',
    'locked' => '0',
    'orig_type' => 'story',
    'is_new' => true,
  ),
  'video' => 
  array (
    'name' => 'Video',
    'module' => 'video',
    'description' => st('Allow a variety of video formats to be posted as nodes in your site'),
    'type' => 'video',
    'has_title' => true,
    'title_label' => 'Title',
    'has_body' => true,
    'body_label' => 'Body',
    'custom' => false,
    'modified' => false,
    'locked' => true,
    'orig_type' => 'video',
    'is_new' => true,
  ),
);
  
  foreach ($types as $content_type) {
    install_add_content_type($content_type);
  }

  /* Path alias */
  path_set_alias('node/add/video', 'publish');

  /* Variables */
  
  variable_set('creativecommons_lite_video', 1);
  variable_set('file_downloads', '1');
  variable_set('filter_default_format', '1');
//   variable_set('filter_html_1', 1);
  variable_set('fivestar_position_teaser_video', 'hidden');
  variable_set('fivestar_position_video', 'below');
  variable_set('fivestar_stars_video', '5');
  variable_set('fivestar_style_video', 'default');
  variable_set('fivestar_unvote_video', 1);
  variable_set('fivestar_video', 1);
  variable_set('i18n_browser', '1');
  variable_set('i18n_languages', array (
  'site_default' => 'en',
  'name' => 
  array (
    'fr' => 'French',
    'ko' => 'Korean',
    'en' => 'English',
  ),
  'rtl' => 
  array (
    'en' => 0,
    'fr' => 0,
    'ko' => 0,
  ),
  'native' => 
  array (
    'en' => 'English',
    'fr' => 'Français',
    'ko' => '한글',
  ),
  'enabled' => 
  array (
    'en' => 'en',
    'fr' => 'fr',
    'ko' => 'ko',
  ),
));
  variable_set('i18n_node_page', '1');
  variable_set('i18n_node_story', '1');
  variable_set('i18n_node_video', '0');
  variable_set('i18n_selection_mode', 'simple');
  variable_set('i18n_translation_links', '0');
  variable_set('i18n_translation_node_links', '1');
  variable_set('i18n_translation_workflow', '1');
  variable_set('i18n_variables', array (
  0 => 'site_name',
  1 => 'site_slogan',
  2 => 'site_mission',
  3 => 'site_footer',
  4 => 'anonymous',
  5 => 'blog_help',
  6 => 'story_help',
  7 => 'user_registration_help',
  8 => 'user_mail_welcome_subject',
  9 => 'user_mail_welcome_body',
  10 => 'user_mail_approval_subject',
  11 => 'user_mail_approval_body',
  12 => 'user_mail_pass_subject',
  13 => 'user_mail_pass_body',
  14 => 'menu_primary_menu',
  15 => 'menu_secondary_menu',
));
  variable_set('i18ntaxonomy_vocabularies', array (
  2 => 0,
  1 => 0,
));
  variable_set('image_attach_page', '1');
  variable_set('image_attach_size_body_video', 'thumbnail');
  variable_set('image_attach_size_teaser_video', 'thumbnail');
  variable_set('image_attach_story', '1');
  variable_set('image_attach_video', '0');
  variable_set('image_attach_weight_body_page', '0');
  variable_set('image_attach_weight_body_video', '0');
  variable_set('image_attach_weight_teaser_page', '0');
  variable_set('image_attach_weight_teaser_video', '0');
  variable_set('image_gallery_nav_vocabulary', 1);
  variable_set('image_max_upload_size', '800');
  variable_set('image_sizes', array (
  0 => 
  array (
    'label' => 'thumbnail',
    'width' => '200',
    'height' => '200',
  ),
  1 => 
  array (
    'label' => 'preview',
    'width' => '640',
    'height' => '640',
  ),
  2 => 
  array (
    'label' => 'sidebar',
    'width' => '150',
    'height' => '150',
  ),
  3 => 
  array (
    'label' => 'videoplayer',
    'width' => '400',
    'height' => '300',
  ),
  4 => 
  array (
    'label' => '',
    'width' => '',
    'height' => '',
  ),
));
  variable_set('menu_primary_menu', 2);
  variable_set('menu_secondary_menu', 2);
//   variable_set('menu_trim_menu_1', '1');
//   variable_set('menu_trim_menu_2', '0');
  variable_set('node_options_forum', array (
  0 => 'status',
));
  variable_set('node_options_page', array (
  0 => 'status',
  1 => 'revision',
));
  variable_set('node_options_story', array (
  0 => 'status',
  1 => 'promote',
));
  variable_set('node_options_video', array (
  0 => 'status',
));
  variable_set('pearwiki_filter_ignore_regexp_4', '');
  variable_set('pearwiki_filter_ignore_tags_4', '');
  variable_set('pearwiki_filter_image_base_4', 'files/');
  variable_set('pearwiki_filter_interwiki_mapping_4', 'Local drupal path | path | <path>
groups.drupal.org | gdo | http://groups.drupal.org/freelinking/%s
Wikipedia | wp | http://en.wikipedia.org/wiki/%s
');
  variable_set('pearwiki_filter_pear_path_4', '/var/alternc/html/f/filmforge/www/drupal-5.1/sites/all/modules/pearwiki_filter/');
  variable_set('pearwiki_filter_space_replacement_4', '');
  variable_set('pearwiki_filter_syntax_4', 'Mediawiki');
  variable_set('pearwiki_filter_use_freelinking_4', 0);
  variable_set('pearwiki_filter_use_image_4', 1);
  variable_set('pearwiki_filter_use_liquid_4', 0);
  variable_set('pearwiki_filter_use_wiki_links_4', 1);
  variable_set('pearwiki_filter_use_wikitools_4', 0);
  variable_set('pearwiki_filter_wikilink_base_4', 'wiki/');
  variable_set('site_footer', 'This site was configured using the Filmforge install profile.');
  variable_set('site_mission', 'FilmForge is a version of the content management system <a href="http://www.drupal.org">Drupal</a>, tailored to the needs of videomaking communities. FilmForge makes it simple to install and run your own video sharing site.');
  variable_set('site_name', 'FilmForge');
  variable_set('site_slogan', 'web video for all!');
  variable_set('tagadelic_block_tags_2', '12');
  variable_set('tagadelic_block_title_2', 'Tag cloud');
  variable_set('tagadelic_levels', '6');
  variable_set('tagadelic_page_amount', '60');
  variable_set('tagadelic_sort_order', 'title,asc');
  variable_set('theme_default', 'filmforge');
  variable_set('theme_filmforge_settings', array (
  'toggle_logo' => 1,
  'toggle_name' => 1,
  'toggle_slogan' => 1,
  'toggle_mission' => 1,
  'toggle_node_user_picture' => 0,
  'toggle_comment_user_picture' => 0,
  'toggle_search' => 0,
  'toggle_favicon' => 1,
  'default_logo' => 0,
  'logo_path' => '',
  'logo_upload' => '',
  'default_favicon' => 1,
  'favicon_path' => '',
  'favicon_upload' => '',
  'op' => 'Save configuration',
  'form_token' => '67b00845f930a0a9867b5f27d3e331f3',
));
  variable_set('theme_settings', array (
  'toggle_node_info_page' => false,
));
  variable_set('upload_extensions_default', 'jpg jpeg gif png txt html doc xls pdf ppt pps avi mpeg mpg mov rm flv wmv 3gp mp4 dir dcr');
  variable_set('upload_uploadsize_default', 100);
  variable_set('upload_usersize_default', 1000);
  variable_set('upload_video', '1');
  variable_set('video_block_limit_0', '10');
  variable_set('video_block_limit_1', '10');
  variable_set('video_block_limit_2', '10');
  variable_set('video_block_limit_3', '10');
  variable_set('video_block_title_0', 'Latest videos');
  variable_set('video_block_title_1', 'Top videos');
  variable_set('video_block_title_2', 'Most played videos');
  variable_set('video_block_title_3', 'Most downloaded');
  // @todo needs to be documented in README
//  variable_set('video_cortado', 'http://filmforge.koumbit.net/cortado.jar');
  variable_set('video_displaydownloadlink', '1');
  variable_set('video_displaydownloadmenutab', '0');
  variable_set('video_displayfilesize', '1');
  variable_set('video_displayplaylink', '0');
  variable_set('video_displayplaymenutab', '0');
  variable_set('video_displayplaytime', '1');
  variable_set('video_download_ext', 'mov,wmv,rm,flv,avi,divx,mpg,mpeg,mp4,zip');
  variable_set('video_downloadcounter', '1');
  variable_set('video_ffmpeg_helper_auto_conversion', 1);
  variable_set('video_ffmpeg_helper_auto_cvr_audio_bitrate', '64');
  variable_set('video_ffmpeg_helper_auto_cvr_busy_video_path', 'busy.flv');
  variable_set('video_ffmpeg_helper_auto_cvr_options', '-y -i %videofile -f flv -ar 22050 -ab %audiobitrate -s %size -b %videobitrate %convertfile');
  variable_set('video_ffmpeg_helper_auto_cvr_video_bitrate', '200');
  variable_set('video_ffmpeg_helper_auto_cvr_width', '400');
  variable_set('video_ffmpeg_helper_auto_playtime', 1);
  variable_set('video_ffmpeg_helper_auto_resolution', 1);
  variable_set('video_ffmpeg_helper_auto_thumbnail', 1);
  variable_set('video_ffmpeg_helper_auto_thumbnail_debug', 0);
  variable_set('video_ffmpeg_helper_auto_thumbnail_only', 0);
  variable_set('video_ffmpeg_helper_auto_thumbnail_seek', '2');
  variable_set('video_ffmpeg_helper_ffmpeg_path', '/usr/bin/ffmpeg');
  variable_set('video_ffmpeg_helper_thumbnailer_options', '-i %videofile -an -y -f mjpeg -ss %seek -vframes 1 %thumbfile');
  variable_set('video_flvplayerloader', 'FlowPlayer.swf');
  variable_set('video_flvplayerloader_autoplay', '1');
  variable_set('video_flvplayerloader_fullscreen', 'http://filmforge.koumbit.net/fullscreen.js');
  variable_set('video_image_promote_thumbnail', 0);
  variable_set('video_image_publish_thumbnail', 0);
  variable_set('video_multidownload', '1');
  variable_set('video_playcounter', '1');
  variable_set('video_playinbody', '1');
  variable_set('views_defaults', array (
  'taxonomy_directory' => 'disabled',
));
  variable_set('wikitools_hijack_freelinking', 1);
  variable_set('wikitools_main_page_title', 'Main Page');
  variable_set('wikitools_node_types', array (
  'image' => 'image',
  'test' => 'test',
));
  variable_set('wikitools_options', array (
  'node creation' => 'node creation',
  'node search' => 'node search',
  'auto redirect' => 'auto redirect',
  'unique titles' => 'unique titles',
  'move protection' => 'move protection',
  'delete protection' => 'delete protection',
  'underscore as space' => 'underscore as space',
));
  variable_set('wikitools_path', 'wiki');
  
  /* Permissions */
  
    install_set_permissions(install_add_role('admin'), array (
  0 => 'access news feeds',
  1 => 'administer news feeds',
  2 => 'administer audio',
  3 => 'create audio',
  4 => 'download audio',
  5 => 'edit own audio',
  6 => 'play audio',
  7 => 'view download stats',
  8 => 'administer blocks',
  9 => 'use PHP for block visibility',
  10 => 'access comments',
  11 => 'administer comments',
  12 => 'post comments',
  13 => 'post comments without approval',
  14 => 'access site-wide contact form',
  15 => 'access devel information',
  16 => 'execute php code',
  17 => 'switch users',
  18 => 'administer filters',
  19 => 'rate content',
  20 => 'use PHP for fivestar target',
  21 => 'view ratings',
  22 => 'administer all languages',
  23 => 'create images',
  24 => 'edit images',
  25 => 'edit own images',
  26 => 'view original images',
  27 => 'administer locales',
  28 => 'administer menu',
  29 => 'access content',
  30 => 'administer content types',
  31 => 'administer nodes',
  32 => 'create page content',
  33 => 'create story content',
  34 => 'edit own page content',
  35 => 'edit own story content',
  36 => 'edit page content',
  37 => 'edit story content',
  38 => 'revert revisions',
  39 => 'view revisions',
  40 => 'access all panels',
  41 => 'create panels',
  42 => 'administer url aliases',
  43 => 'create url aliases',
  44 => 'administer pathauto',
  45 => 'access profile wizard',
  46 => 'administer search',
  47 => 'search content',
  48 => 'use advanced search',
  49 => 'access administration pages',
  50 => 'administer site configuration',
  51 => 'select different theme',
  52 => 'administer taxonomy',
  53 => 'translate nodes',
  54 => 'upload files',
  55 => 'view uploaded files',
  56 => 'access user profiles',
  57 => 'administer access control',
  58 => 'administer users',
  59 => 'change own username',
  60 => 'access video',
  61 => 'administer video',
  62 => 'create video',
  63 => 'download video',
  64 => 'edit own video',
  65 => 'play video',
  66 => 'view download counter',
  67 => 'view play counter',
  68 => 'insert custom fields',
  69 => 'create multi-file downloads',
  70 => 'insert optional metadata',
  71 => 'insert object params',
  72 => 'upload video files',
  73 => 'access all views',
  74 => 'administer views',
  75 => 'administer voting api',
  76 => 'register vote',
));
  install_set_permissions(1, array (
  0 => 'access news feeds',
  1 => 'download audio',
  2 => 'play audio',
  3 => 'view download stats',
  4 => 'access site-wide contact form',
  5 => 'rate content',
  6 => 'view ratings',
  7 => 'view original images',
  8 => 'access content',
  9 => 'search content',
  10 => 'access user profiles',
  11 => 'access video',
  12 => 'download video',
  13 => 'play video',
  14 => 'view download counter',
  15 => 'view play counter',
  16 => 'register vote',
));
  install_set_permissions(2, array (
  0 => 'access news feeds',
  1 => 'download audio',
  2 => 'play audio',
  3 => 'view download stats',
  4 => 'access comments',
  5 => 'post comments',
  6 => 'post comments without approval',
  7 => 'access site-wide contact form',
  8 => 'rate content',
  9 => 'view ratings',
  10 => 'view original images',
  11 => 'access content',
  12 => 'search content',
  13 => 'access user profiles',
  14 => 'access video',
  15 => 'download video',
  16 => 'play video',
  17 => 'view download counter',
  18 => 'view play counter',
  19 => 'register vote',
));
  install_set_permissions(install_add_role('editor'), array (
  0 => 'access news feeds',
  1 => 'create audio',
  2 => 'download audio',
  3 => 'edit own audio',
  4 => 'play audio',
  5 => 'view download stats',
  6 => 'administer blocks',
  7 => 'access comments',
  8 => 'administer comments',
  9 => 'post comments',
  10 => 'post comments without approval',
  11 => 'access site-wide contact form',
  12 => 'rate content',
  13 => 'view ratings',
  14 => 'create images',
  15 => 'edit images',
  16 => 'edit own images',
  17 => 'view original images',
  18 => 'access content',
  19 => 'administer nodes',
  20 => 'create page content',
  21 => 'create story content',
  22 => 'edit own page content',
  23 => 'edit own story content',
  24 => 'edit page content',
  25 => 'edit story content',
  26 => 'revert revisions',
  27 => 'view revisions',
  28 => 'create url aliases',
  29 => 'search content',
  30 => 'use advanced search',
  31 => 'translate nodes',
  32 => 'access user profiles',
  33 => 'administer access control',
  34 => 'administer users',
  35 => 'change own username',
  36 => 'access video',
  37 => 'administer video',
  38 => 'create video',
  39 => 'download video',
  40 => 'edit own video',
  41 => 'play video',
  42 => 'view download counter',
  43 => 'view play counter',
  44 => 'insert custom fields',
  45 => 'create multi-file downloads',
  46 => 'insert optional metadata',
  47 => 'insert object params',
  48 => 'upload video files',
  49 => 'access all views',
  50 => 'administer views',
  51 => 'register vote',
));

  /* Themes */
  install_enable_theme("filmforge");

  _filmforge_profile_create_views();
  _filmforge_profile_create_panels();
  _filmforge_profile_create_blocks();
}

/**
 * create a few views used in blocks and panels
 *
 * those views were exported from the running install and plain pasted here
 */
function _filmforge_profile_create_views() {
  //video_featured_last_block
  $view = new stdClass();
  $view->name = 'video_featured_last_block';
  $view->description = 'Shows last featured videos';
  $view->access = array (
);
  $view->view_args_php = '';
  $view->block = TRUE;
  $view->block_title = '';
  $view->block_header = '';
  $view->block_header_format = '1';
  $view->block_footer = '';
  $view->block_footer_format = '1';
  $view->block_empty = '';
  $view->block_empty_format = '1';
  $view->block_type = 'list';
  $view->nodes_per_block = '5';
  $view->block_more = TRUE;
  $view->block_use_page_header = FALSE;
  $view->block_use_page_footer = FALSE;
  $view->block_use_page_empty = FALSE;
  $view->sort = array (
    array (
      'tablename' => 'node',
      'field' => 'created',
      'sortorder' => 'DESC',
      'options' => 'normal',
    ),
  );
  $view->argument = array (
  );
  $view->field = array (
/*    array (
      'tablename' => 'video',
      'field' => 'video_image',
      'label' => '',
      'options' => 'sidebar',
    ),*/
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => '',
      'handler' => 'views_handler_field_nodelink',
      'options' => 'link',
    ),
    array (
      'tablename' => 'users',
      'field' => 'name',
      'label' => '',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'node',
      'field' => 'type',
      'operator' => 'OR',
      'options' => '',
      'value' => array (
  0 => 'video',
),
    ),
    array (
      'tablename' => 'node',
      'field' => 'status',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
    array (
      'tablename' => 'node',
      'field' => 'promote',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array('node', 'video', 'users');
  $views[$view->name] = $view;

  //thisuserscontent
  $view = new stdClass();
  $view->name = 'thisuserscontent';
  $view->description = 'Other content by this user';
  $view->access = array (
);
  $view->view_args_php = '';
  $view->page = TRUE;
  $view->page_title = 'Other content by this user';
  $view->page_header = '';
  $view->page_header_format = '4';
  $view->page_footer = '';
  $view->page_footer_format = '4';
  $view->page_empty = '';
  $view->page_empty_format = '4';
  $view->page_type = 'teaser';
  $view->url = 'thisuserscontent';
  $view->use_pager = TRUE;
  $view->nodes_per_page = '10';
  $view->block = TRUE;
  $view->block_title = 'Other content by this user';
  $view->block_header = '';
  $view->block_header_format = '4';
  $view->block_footer = '';
  $view->block_footer_format = '4';
  $view->block_empty = '';
  $view->block_empty_format = '4';
  $view->block_type = 'list';
  $view->nodes_per_block = '5';
  $view->block_more = TRUE;
  $view->block_use_page_header = FALSE;
  $view->block_use_page_footer = FALSE;
  $view->block_use_page_empty = FALSE;
  $view->sort = array (
  );
  $view->argument = array (
    array (
      'type' => 'uid',
      'argdefault' => '2',
      'title' => '',
      'options' => '',
      'wildcard' => '%1',
      'wildcard_substitution' => '',
    ),
  );
  $view->field = array (
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => '',
      'handler' => 'views_handler_field_nodelink',
      'options' => 'link',
    ),
/*    array (
      'tablename' => 'video',
      'field' => 'video_image',
      'label' => '',
      'options' => 'sidebar',
    ),*/
    array (
      'tablename' => 'image',
      'field' => 'nid',
      'label' => '',
      'handler' => 'image_views_handler_image_img',
      'options' => 'thumbnail',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'node',
      'field' => 'status',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array('node', 'video', 'image');
  $views[$view->name] = $view;

  //latest_featured_videos_in_panels
  $view = new stdClass();
  $view->name = 'latest_featured_videos_in_panels';
  $view->description = 'Shows featured videos in panel layout';
  $view->access = array (
);
  $view->view_args_php = '';
  $view->page = TRUE;
  $view->page_title = '';
  $view->page_header = '';
  $view->page_header_format = '1';
  $view->page_footer = '';
  $view->page_footer_format = '1';
  $view->page_empty = 'There is no recent video activity';
  $view->page_empty_format = '1';
  $view->page_type = 'list';
  $view->url = 'latest_featured_video';
  $view->use_pager = FALSE;
  $view->nodes_per_page = '1';
  $view->menu = TRUE;
  $view->menu_title = '';
  $view->menu_tab = FALSE;
  $view->menu_tab_weight = '0';
  $view->menu_tab_default = FALSE;
  $view->menu_tab_default_parent = NULL;
  $view->menu_parent_tab_weight = '0';
  $view->menu_parent_title = '';
  $view->sort = array (
    array (
      'tablename' => 'node',
      'field' => 'created',
      'sortorder' => 'DESC',
      'options' => 'normal',
    ),
  );
  $view->argument = array (
  );
  $view->field = array (
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => 'Featured video:',
      'handler' => 'views_handler_field_nodelink',
      'options' => 'link',
    ),
    array (
      'tablename' => 'users',
      'field' => 'name',
      'label' => '',
    ),
    array (
      'tablename' => 'video',
      'field' => 'video_show_video',
      'label' => '',
    ),
    array (
      'tablename' => 'video',
      'field' => 'play_counter',
      'label' => 'Play count',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'node',
      'field' => 'type',
      'operator' => 'OR',
      'options' => '',
      'value' => array (
  0 => 'video',
),
    ),
    array (
      'tablename' => 'node',
      'field' => 'status',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
    array (
      'tablename' => 'node',
      'field' => 'promote',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array('node', 'users', 'video');
  $views[$view->name] = $view;

  //featured_videos_in_panels
  $view = new stdClass();
  $view->name = 'featured_videos_in_panels';
  $view->description = 'Shows featured videos in panel layout';
  $view->access = array (
);
  $view->view_args_php = '$offset = 1;';
  $view->page = TRUE;
  $view->page_title = '';
  $view->page_header = '';
  $view->page_header_format = '1';
  $view->page_footer = '';
  $view->page_footer_format = '1';
  $view->page_empty = 'There is no recent video activity';
  $view->page_empty_format = '1';
  $view->page_type = 'panels_twocol';
  $view->url = 'frontpagevideos';
  $view->use_pager = TRUE;
  $view->nodes_per_page = '11';
  $view->menu = TRUE;
  $view->menu_title = '';
  $view->menu_tab = FALSE;
  $view->menu_tab_weight = '0';
  $view->menu_tab_default = FALSE;
  $view->menu_tab_default_parent = NULL;
  $view->menu_parent_tab_weight = '0';
  $view->menu_parent_title = '';
  $view->sort = array (
    array (
      'tablename' => 'node',
      'field' => 'created',
      'sortorder' => 'DESC',
      'options' => 'normal',
    ),
  );
  $view->argument = array (
  );
  $view->field = array (
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => 'Title',
      'handler' => 'views_handler_field_nodelink',
      'sortable' => '1',
      'options' => 'link',
    ),
    array (
      'tablename' => 'node',
      'field' => 'changed',
      'label' => 'Last Updated',
      'handler' => 'views_handler_field_date_small',
      'sortable' => '1',
      'defaultsort' => 'DESC',
    ),
    array (
      'tablename' => 'users',
      'field' => 'name',
      'label' => 'Author',
    ),
/*    array (
      'tablename' => 'video',
      'field' => 'video_image',
      'label' => 'Preview / Play',
      'options' => 'preview',
    ),*/
    array (
      'tablename' => 'node',
      'field' => 'body',
      'label' => '',
      'handler' => 'views_handler_field_teaser',
    ),
    array (
      'tablename' => 'video',
      'field' => 'play_counter',
      'label' => 'Play count',
    ),
    array (
      'tablename' => 'votingapi_vote_vote_percent',
      'field' => 'value',
      'label' => '',
      'handler' => 'fivestar_views_value_display_handler',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'node',
      'field' => 'type',
      'operator' => 'OR',
      'options' => '',
      'value' => array (
  0 => 'video',
),
    ),
    array (
      'tablename' => 'node',
      'field' => 'status',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
    array (
      'tablename' => 'node',
      'field' => 'promote',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array('node', 'users', 'video', 'votingapi_vote_vote_percent');
  $views[$view->name] = $view;
  
  // video tracker
    $view = new stdClass();
  $view->name = 'video_tracker';
  $view->description = 'Shows all recent video activity (table format)';
  $view->access = array (
);
  $view->view_args_php = '';
  $view->page = TRUE;
  $view->page_title = 'Recent videos';
  $view->page_header = '';
  $view->page_header_format = '1';
  $view->page_footer = '';
  $view->page_footer_format = '1';
  $view->page_empty = 'There is no recent video activity';
  $view->page_empty_format = '1';
  $view->page_type = 'teaser';
  $view->url = 'videos/tracker';
  $view->use_pager = TRUE;
  $view->nodes_per_page = '20';
  $view->menu = TRUE;
  $view->menu_title = '';
  $view->menu_tab = FALSE;
  $view->menu_tab_weight = '0';
  $view->menu_tab_default = FALSE;
  $view->menu_tab_default_parent = NULL;
  $view->menu_parent_tab_weight = '0';
  $view->menu_parent_title = '';
  $view->block = TRUE;
  $view->block_title = '';
  $view->block_header = '';
  $view->block_header_format = '1';
  $view->block_footer = '';
  $view->block_footer_format = '1';
  $view->block_empty = '';
  $view->block_empty_format = '1';
  $view->block_type = 'summary_combo';
  $view->nodes_per_block = '5';
  $view->block_more = FALSE;
  $view->block_use_page_header = FALSE;
  $view->block_use_page_footer = FALSE;
  $view->block_use_page_empty = FALSE;
  $view->sort = array (
    array (
      'tablename' => 'node',
      'field' => 'created',
      'sortorder' => 'DESC',
      'options' => 'normal',
    ),
  );
  $view->argument = array (
  );
  $view->field = array (
    array (
      'tablename' => 'node',
      'field' => 'title',
      'label' => 'Title',
      'handler' => 'views_handler_field_nodelink',
      'sortable' => '1',
      'options' => 'link',
    ),
    array (
      'tablename' => 'node',
      'field' => 'changed',
      'label' => 'Last Updated',
      'handler' => 'views_handler_field_date_small',
      'sortable' => '1',
      'defaultsort' => 'DESC',
    ),
    array (
      'tablename' => 'users',
      'field' => 'name',
      'label' => 'Author',
    ),
/*    array (
      'tablename' => 'video',
      'field' => 'video_image',
      'label' => 'Preview / Play',
    ),*/
    array (
      'tablename' => 'video',
      'field' => 'play_counter',
      'label' => 'Play count',
    ),
  );
  $view->filter = array (
    array (
      'tablename' => 'node',
      'field' => 'type',
      'operator' => 'OR',
      'options' => '',
      'value' => array (
  0 => 'video',
),
    ),
    array (
      'tablename' => 'node',
      'field' => 'status',
      'operator' => '=',
      'options' => '',
      'value' => '1',
    ),
  );
  $view->exposed_filter = array (
  );
  $view->requires = array(node, users, video);
  $views[$view->name] = $view;

  views_load_cache();
  foreach ($views as $view) {
    views_sanitize_view($view);
    _views_save_view($view);
  }

}

/**
 * create the front panel
 *
 * @todo implement this, look at the raw data in the panels_info and
 * panels_area tables and create a nice-looking $panels object to pass
 * to panels_save_panels
 * @see panels_save_panels
 */
function _filmforge_profile_create_panels() {

}

/**
 * create a few blocks
 *
 * Bottom:
 * * thisuserscontent (view)
 * * Creativecommon license
 *
 * Header:
 * * Search form
 *
 * Header top:
 * * Language switcher
 * * Left sidebar
 * * Publish Button (multilingual)
 *  (made of 2 blocks:
 *   * Publish button (en): the string:
	<a href="http://filmforge.koumbit.net/fr/publish"><img src="http://filmforge.koumbit.net/sites/all/themes/filmforge/images/publier.png" alt="publish your video" align="center"></a>
 *   * Publish button (fr): the string:
	<a href="http://filmforge.koumbit.net/en/publish"><img src="http://filmforge.koumbit.net/sites/all/themes/filmforge/images/publish.png" alt="publish your video" align="center"></a>
 *
 * * Secondary Links
 * * Author information	
 * * Navigation	
 * * Tag cloud
 *
 * Right sidebar:
 * * thisuserscontent	
 * * video_featured_last_block	
 * * Most played videos
 * * Most downloaded	
 * * Top videos	
 * * Latest videos	
 * * Random video	
 */
function _filmforge_profile_create_blocks() {


  /* Blocks */
  
  install_add_block(array (
  'module' => 'i18nblocks',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '-10',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'views',
  'delta' => 'comments_recent',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'views',
  'delta' => 'video_featured_last_block',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '0',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => 'frontpagevideos',
  'title' => 'previous features',
));
  install_add_block(array (
  'module' => 'views',
  'delta' => 'thisuserscontent',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '-8',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '2',
  'pages' => '<?php
$match = FALSE;
$types = array(\'video\' => 1);
if (arg(0) == \'node\' && is_numeric(arg(1))) {
  $nid = arg(1);
  $node = node_load(array(\'nid\' => $nid));
  $type = $node->type;
  if (isset($types[$type])) {
    $match = TRUE;
  }
}
return $match;
?>',
  'title' => '',
));
  install_add_block(array (
  'module' => 'views',
  'delta' => 'video_tracker_block',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '6',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'views',
  'delta' => 'video_tracker',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));

  install_add_block(array (
  'module' => 'translation',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '3',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'video',
  'delta' => '4',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '5',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'video',
  'delta' => '3',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '3',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => 'videos/*
video/*',
  'title' => '',
));
  install_add_block(array (
  'module' => 'video',
  'delta' => '2',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '3',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => 'videos/*
video/*',
  'title' => '',
));
  install_add_block(array (
  'module' => 'video',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '3',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => 'videos/*
video/*',
  'title' => '',
));
  install_add_block(array (
  'module' => 'video',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '3',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => 'videos/*
video/*',
  'title' => '',
));
  install_add_block(array (
  'module' => 'tagadelic',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'tagadelic',
  'delta' => '2',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '4',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => 'Tag cloud',
));
  install_add_block(array (
  'module' => 'tagadelic',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'image',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'creativecommons_lite',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '0',
  'region' => 'content_bottom',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'image',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'user',
  'delta' => '3',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'user',
  'delta' => '2',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'user',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '0',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'user',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '6',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '<none>',
));
  install_add_block(array (
  'module' => 'search',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '0',
  'region' => 'header',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'profile',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '0',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'node',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'menu',
  'delta' => '2',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'comment',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'block',
  'delta' => '3',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '-8',
  'region' => 'content_bottom',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => 'en/user/*
fr/user/*
ko/user/*',
  'title' => '',
));
  install_add_block(array (
  'module' => 'block',
  'delta' => '1',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '-9',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'block',
  'delta' => '5',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'block',
  'delta' => '4',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '-10',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'aggregator',
  'delta' => 'feed-3',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'aggregator',
  'delta' => 'feed-2',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '7',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'aggregator',
  'delta' => 'feed-1',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '8',
  'region' => 'right',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'aggregator',
  'delta' => 'category-1',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
));
  install_add_block(array (
  'module' => 'aggregator',
  'delta' => 'category-2',
  'theme' => 'filmforge',
  'status' => '0',
  'weight' => '-10',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '1',
  'pages' => '<front>',
  'title' => 'Latest items from Filmforge',
));
  install_add_block(array (
  'module' => 'i18n',
  'delta' => '0',
  'theme' => 'filmforge',
  'status' => '1',
  'weight' => '10',
  'region' => 'header_top',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '<none>',
));

  /* Menus */
  

/*  install_add_menu_item(array (
  'mid' => '2',
  'pid' => '0',
  'path' => '',
  'title' => 'Primary links',
  'description' => '',
  'weight' => '0',
  'type' => '115',
  'language' => '',
));*/
  install_add_menu_item(array (
  'mid' => '3',
  'pid' => '1',
  'path' => 'filter/tips',
  'title' => 'Compose tips',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '4',
  'pid' => '1',
  'path' => 'node',
  'title' => 'Content',
  'description' => '',
  'weight' => '0',
  'type' => '16',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '5',
  'pid' => '1',
  'path' => 'admin',
  'title' => 'Administer',
  'description' => '',
  'weight' => '9',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '6',
  'pid' => '1',
  'path' => 'logout',
  'title' => 'Log out',
  'description' => '',
  'weight' => '10',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '7',
  'pid' => '5',
  'path' => 'admin/help',
  'title' => 'Help',
  'description' => '',
  'weight' => '9',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '8',
  'pid' => '5',
  'path' => 'admin/content',
  'title' => 'Content management',
  'description' => 'Manage your site\'s content.',
  'weight' => '-10',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '9',
  'pid' => '4',
  'path' => 'node/add',
  'title' => 'Create content',
  'description' => '',
  'weight' => '1',
  'type' => '28',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '10',
  'pid' => '5',
  'path' => 'admin/settings',
  'title' => 'Site configuration',
  'description' => 'Adjust basic site configuration options.',
  'weight' => '-5',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '11',
  'pid' => '5',
  'path' => 'admin/build',
  'title' => 'Site building',
  'description' => 'Control how your site looks and feels.',
  'weight' => '-10',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '12',
  'pid' => '5',
  'path' => 'admin/logs',
  'title' => 'Logs',
  'description' => 'View system logs and other status information.',
  'weight' => '5',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '13',
  'pid' => '5',
  'path' => 'admin/user',
  'title' => 'User management',
  'description' => 'Manage your site\'s users, groups and access to site features.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '14',
  'pid' => '11',
  'path' => 'admin/build/block',
  'title' => 'Blocks',
  'description' => 'Configure what block content appears in your site\'s sidebars and other regions.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '15',
  'pid' => '8',
  'path' => 'admin/content/comment',
  'title' => 'Comments',
  'description' => 'List and edit site comments and the comment moderation queue.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '16',
  'pid' => '10',
  'path' => 'admin/settings/filters',
  'title' => 'Input formats',
  'description' => 'Configure how content input by users is filtered, including allowed HTML tags, PHP code tags. Also allows enabling of module-provided filters.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '17',
  'pid' => '11',
  'path' => 'admin/build/menu',
  'title' => 'Menus',
  'description' => 'Control your site\'s navigation menu, primary links and secondary links. as well as rename and reorganize menu items.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '18',
  'pid' => '8',
  'path' => 'admin/content/node',
  'title' => 'Content',
  'description' => 'View, edit, and delete your site\'s content.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '19',
  'pid' => '8',
  'path' => 'admin/content/node-settings',
  'title' => 'Post settings',
  'description' => 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '20',
  'pid' => '8',
  'path' => 'admin/content/types',
  'title' => 'Content types',
  'description' => 'Manage posts by content type, including default status, front page promotion, etc.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '21',
  'pid' => '9',
  'path' => 'node/add/page',
  'title' => 'Page',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '22',
  'pid' => '9',
  'path' => 'node/add/story',
  'title' => 'Story',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '23',
  'pid' => '10',
  'path' => 'admin/settings/admin',
  'title' => 'Administration theme',
  'description' => 'Settings for how your administrative pages should look.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '24',
  'pid' => '11',
  'path' => 'admin/build/themes',
  'title' => 'Themes',
  'description' => 'Change which theme your site uses or allows users to set.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '25',
  'pid' => '11',
  'path' => 'admin/build/modules',
  'title' => 'Modules',
  'description' => 'Enable or disable add-on modules for your site.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '26',
  'pid' => '10',
  'path' => 'admin/settings/site-information',
  'title' => 'Site information',
  'description' => 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '27',
  'pid' => '10',
  'path' => 'admin/settings/error-reporting',
  'title' => 'Error reporting',
  'description' => 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '28',
  'pid' => '10',
  'path' => 'admin/settings/performance',
  'title' => 'Performance',
  'description' => 'Enable or disable page caching for anonymous users, and enable or disable CSS preprocessor.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '29',
  'pid' => '10',
  'path' => 'admin/settings/file-system',
  'title' => 'File system',
  'description' => 'Tell Drupal where to store uploaded files and how they are accessed.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '30',
  'pid' => '10',
  'path' => 'admin/settings/image-toolkit',
  'title' => 'Image toolkit',
  'description' => 'Choose which image toolkit to use if you have installed optional toolkits.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '31',
  'pid' => '8',
  'path' => 'admin/content/rss-publishing',
  'title' => 'RSS publishing',
  'description' => 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '32',
  'pid' => '10',
  'path' => 'admin/settings/date-time',
  'title' => 'Date and time',
  'description' => 'Settings for how Drupal displays date and time, as well as the system\'s default timezone.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '33',
  'pid' => '10',
  'path' => 'admin/settings/site-maintenance',
  'title' => 'Site maintenance',
  'description' => 'Take the site off-line for maintenance or bring it back online.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '34',
  'pid' => '10',
  'path' => 'admin/settings/clean-urls',
  'title' => 'Clean URLs',
  'description' => 'Enable or disable clean URLs for your site.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '35',
  'pid' => '12',
  'path' => 'admin/logs/status',
  'title' => 'Status report',
  'description' => 'Get a status report about your site\'s operation and any detected problems.',
  'weight' => '10',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '36',
  'pid' => '8',
  'path' => 'admin/content/taxonomy',
  'title' => 'Categories',
  'description' => 'Create vocabularies and terms to categorize your content.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '37',
  'pid' => '13',
  'path' => 'admin/user/user',
  'title' => 'Users',
  'description' => 'List, add, and edit users.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '38',
  'pid' => '13',
  'path' => 'admin/user/settings',
  'title' => 'User settings',
  'description' => 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '39',
  'pid' => '13',
  'path' => 'admin/user/access',
  'title' => 'Access control',
  'description' => 'Determine access to features by selecting permissions for roles.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '40',
  'pid' => '13',
  'path' => 'admin/user/roles',
  'title' => 'Roles',
  'description' => 'List, edit, or add user roles.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '41',
  'pid' => '13',
  'path' => 'admin/user/rules',
  'title' => 'Access rules',
  'description' => 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '42',
  'pid' => '12',
  'path' => 'admin/logs/watchdog',
  'title' => 'Recent log entries',
  'description' => 'View events that have recently been logged.',
  'weight' => '-1',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '43',
  'pid' => '12',
  'path' => 'admin/logs/page-not-found',
  'title' => 'Top \'page not found\' errors',
  'description' => 'View \'page not found\' errors (404s).',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '44',
  'pid' => '12',
  'path' => 'admin/logs/access-denied',
  'title' => 'Top \'access denied\' errors',
  'description' => 'View \'access denied\' errors (403s).',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '45',
  'pid' => '8',
  'path' => 'admin/content/search',
  'title' => 'Search content',
  'description' => 'Search content by keyword.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '46',
  'pid' => '1',
  'path' => 'profile',
  'title' => 'User list',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '47',
  'pid' => '13',
  'path' => 'admin/user/profile',
  'title' => 'Profiles',
  'description' => 'Create customizable fields for your users.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '48',
  'pid' => '13',
  'path' => 'admin/user/search',
  'title' => 'Search users',
  'description' => 'Search users by name.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '49',
  'pid' => '12',
  'path' => 'admin/logs/updates',
  'title' => 'Available updates',
  'description' => 'Get a status report on your installed modules and available updates.',
  'weight' => '10',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '50',
  'pid' => '11',
  'path' => 'admin/build/path',
  'title' => 'URL aliases',
  'description' => 'Change your site\'s URL paths by aliasing them.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '51',
  'pid' => '1',
  'path' => 'search',
  'title' => 'Search',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '52',
  'pid' => '10',
  'path' => 'admin/settings/search',
  'title' => 'Search settings',
  'description' => 'Configure relevance settings for search and other indexing options',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '53',
  'pid' => '12',
  'path' => 'admin/logs/search',
  'title' => 'Top search phrases',
  'description' => 'View most popular search phrases.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '54',
  'pid' => '10',
  'path' => 'admin/settings/menu_trim',
  'title' => 'Menu trim',
  'description' => 'Choose what menus need trimming.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '55',
  'pid' => '8',
  'path' => 'admin/content/translation',
  'title' => 'Translations',
  'description' => 'Manage content translations.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '56',
  'pid' => '10',
  'path' => 'admin/settings/i18n',
  'title' => 'Multilingual system',
  'description' => 'Configure multilingual content and translation.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '57',
  'pid' => '10',
  'path' => 'admin/settings/locale',
  'title' => 'Localization',
  'description' => 'Configure site localization and user interface translation.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '58',
  'pid' => '9',
  'path' => 'node/add/image',
  'title' => 'Image',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '59',
  'pid' => '10',
  'path' => 'admin/settings/image_attach',
  'title' => 'Image attach',
  'description' => 'Enable image attach for content',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '60',
  'pid' => '1',
  'path' => 'image',
  'title' => 'Image galleries',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '61',
  'pid' => '8',
  'path' => 'admin/content/image',
  'title' => 'Image galleries',
  'description' => 'Create and manage image galleries.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '62',
  'pid' => '10',
  'path' => 'admin/settings/image_gallery',
  'title' => 'Image gallery',
  'description' => 'Configure appearance of image galleries.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '63',
  'pid' => '8',
  'path' => 'admin/content/image_import',
  'title' => 'Image import',
  'description' => 'Import images from the filesystem.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '64',
  'pid' => '10',
  'path' => 'admin/settings/image_import',
  'title' => 'Image import',
  'description' => 'Change settings for the Image Import module.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '65',
  'pid' => '10',
  'path' => 'admin/settings/image',
  'title' => 'Image',
  'description' => 'Image module settings.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '66',
  'pid' => '1',
  'path' => 'video',
  'title' => 'videos',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '67',
  'pid' => '9',
  'path' => 'node/add/video',
  'title' => 'Video',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '68',
  'pid' => '8',
  'path' => 'admin/content/video',
  'title' => 'Video settings',
  'description' => 'Configure different aspects of the video module and its plugins',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '69',
  'pid' => '68',
  'path' => 'admin/content/video/customfields',
  'title' => 'Customfields',
  'description' => 'Administer video_customfields module settings',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '70',
  'pid' => '68',
  'path' => 'admin/content/video/ffmpeg_helper',
  'title' => 'Video ffmpeg Helper',
  'description' => 'Administer video_ffmpeg_helper module settings',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '71',
  'pid' => '68',
  'path' => 'admin/content/video/image',
  'title' => 'Video image',
  'description' => 'Administer video_image module settings',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '72',
  'pid' => '68',
  'path' => 'admin/content/video/multidownload',
  'title' => 'Multidownload',
  'description' => 'Administer video_multidownload module settings',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '73',
  'pid' => '68',
  'path' => 'admin/content/video/upload',
  'title' => 'Upload',
  'description' => 'Administer video_upload module settings',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
//  install_add_menu_item(array (
//  'mid' => '74',
//  'pid' => '11',
//  'path' => 'admin/build/contact',
//  'title' => 'Contact form',
//  'description' => 'Create a system contact form and set up categories for the form to use.',
//  'weight' => '0',
//  'type' => '22',
//  'language' => '',
//));
  install_add_menu_item(array (
  'mid' => '75',
  'pid' => '1',
  'path' => 'contact',
  'title' => 'Contact',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '76',
  'pid' => '8',
  'path' => 'admin/content/video_cck',
  'title' => 'Video CCK configuration',
  'description' => 'Configure Video CCK: Allow content types to use various 3rd party providers, enter API keys, etc.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '77',
  'pid' => '11',
  'path' => 'admin/build/views',
  'title' => 'Views',
  'description' => 'Views are customized lists of content on your system; they are highly configurable and give you control over how lists of content are presented.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '78',
  'pid' => '1',
  'path' => 'directory',
  'title' => 'directory',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '79',
  'pid' => '1',
  'path' => 'tracker',
  'title' => 'Recent posts',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '80',
  'pid' => '9',
  'path' => 'node/add/test',
  'title' => 'Test content type',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '81',
  'pid' => '10',
  'path' => 'admin/settings/img_assist',
  'title' => 'Image assist',
  'description' => 'Change settings for the Image assist module.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '82',
  'pid' => '10',
  'path' => 'admin/settings/pathauto',
  'title' => 'Pathauto',
  'description' => 'Configure how pathauto generates clean URLs for your content.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '83',
  'pid' => '2',
  'path' => 'recent_changes',
  'title' => 'Recent changes',
  'description' => '',
  'weight' => '0',
  'type' => '48',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '84',
  'pid' => '10',
  'path' => 'admin/settings/wikitools',
  'title' => 'Wikitools',
  'description' => 'Settings for wiki-like behaviour.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '85',
  'pid' => '10',
  'path' => 'admin/settings/votingapi',
  'title' => 'Voting API',
  'description' => 'Global settings for the Voting API.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '86',
  'pid' => '1',
  'path' => 'videos/recent',
  'title' => 'Recent CCK videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '87',
  'pid' => '2',
  'path' => 'videos/tracker',
  'title' => 'new videos',
  'description' => 'see a list of recent videos',
  'weight' => '2',
  'type' => '54',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '88',
  'pid' => '8',
  'path' => 'admin/content/aggregator',
  'title' => 'News aggregator',
  'description' => 'Configure which content your site aggregates from other sites, how often it polls them, and how they\'re categorized.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '89',
  'pid' => '1',
  'path' => 'aggregator',
  'title' => 'News aggregator',
  'description' => '',
  'weight' => '3',
  'type' => '54',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '90',
  'pid' => '89',
  'path' => 'aggregator/sources',
  'title' => 'Sources',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '91',
  'pid' => '89',
  'path' => 'aggregator/categories',
  'title' => 'Categories',
  'description' => '',
  'weight' => '0',
  'type' => '28',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '92',
  'pid' => '91',
  'path' => 'aggregator/categories/1',
  'title' => 'video',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '93',
  'pid' => '91',
  'path' => 'aggregator/categories/2',
  'title' => 'filmforge',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '94',
  'pid' => '9',
  'path' => 'node/add/audio',
  'title' => 'Audio',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '95',
  'pid' => '113',
  'path' => 'audio',
  'title' => 'Recent audio',
  'description' => '',
  'weight' => '6',
  'type' => '54',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '96',
  'pid' => '10',
  'path' => 'admin/settings/audio',
  'title' => 'Audio settings',
  'description' => 'Change settings for the audio module.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '97',
  'pid' => '95',
  'path' => 'audio/by',
  'title' => 'Browse by...',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '98',
  'pid' => '8',
  'path' => 'admin/content/audio_import',
  'title' => 'Audio import',
  'description' => 'Import audio from the filesystem.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '99',
  'pid' => '10',
  'path' => 'admin/settings/audio_import',
  'title' => 'Audio import settings',
  'description' => 'Change settings for the Audio Import module.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '100',
  'pid' => '10',
  'path' => 'admin/settings/uploads',
  'title' => 'File uploads',
  'description' => 'Control how files may be attached to content.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '101',
  'pid' => '9',
  'path' => 'node/add/media-field-test',
  'title' => 'MediaFieldTest',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '102',
  'pid' => '10',
  'path' => 'admin/settings/throttle',
  'title' => 'Réguler',
  'description' => 'Contrôle comment votre site réduit automatiquement la complexité du contenu pour résister à de fortes charges.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '103',
  'pid' => '10',
  'path' => 'admin/settings/flashvideo',
  'title' => 'FlashVideo Settings',
  'description' => 'Administer the FlashVideo module.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '104',
  'pid' => '9',
  'path' => 'node/add/test-with-flash-video',
  'title' => 'Test with FalshVideo',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '105',
  'pid' => '9',
  'path' => 'node/add/test-flash-video',
  'title' => 'Test with FalshVideo',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '106',
  'pid' => '11',
  'path' => 'admin/build/panels',
  'title' => 'Panels',
  'description' => 'Create pages on your site that are 2 or 3 columns',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '107',
  'pid' => '10',
  'path' => 'admin/settings/nodecloud',
  'title' => 'Node Cloud',
  'description' => 'Set the site wide settings for Node Cloud',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '108',
  'pid' => '10',
  'path' => 'admin/settings/tagadelic',
  'title' => 'Tagadelic configuration',
  'description' => 'Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '109',
  'pid' => '1',
  'path' => 'tagadelic',
  'title' => 'Tags',
  'description' => '',
  'weight' => '0',
  'type' => '20',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '110',
  'pid' => '1',
  'path' => 'devel/queries',
  'title' => 'Database queries',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '111',
  'pid' => '10',
  'path' => 'admin/settings/devel',
  'title' => 'Devel',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '112',
  'pid' => '87',
  'path' => 'videos/tracker/last',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '113',
  'pid' => '1',
  'path' => 'videos/featured/last',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '114',
  'pid' => '113',
  'path' => 'videos/featured/last/media_rss',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '115',
  'pid' => '113',
  'path' => 'videos/featured/last/rss',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '116',
  'pid' => '1',
  'path' => 'videos/featured/inpanels',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '117',
  'pid' => '1',
  'path' => 'frontpagevideos',
  'title' => 'Recent videos',
  'description' => '',
  'weight' => '0',
  'type' => '48',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '118',
  'pid' => '1',
  'path' => 'featuredvideo',
  'title' => '',
  'description' => '',
  'weight' => '0',
  'type' => '22',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '119',
  'pid' => '2',
  'path' => 'about',
  'title' => 'about',
  'description' => 'about FilmForge',
  'weight' => '0',
  'type' => '118',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '120',
  'pid' => '1',
  'path' => 'latest_featured_video',
  'title' => '',
  'description' => '',
  'weight' => '0',
  'type' => '48',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '121',
  'pid' => '2',
  'path' => 'publish',
  'title' => 'publish',
  'description' => 'publish your video',
  'weight' => '-10',
  'type' => '118',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '122',
  'pid' => '2',
  'path' => 'help',
  'title' => 'Help',
  'description' => 'FilmForge help page',
  'weight' => '-5',
  'type' => '118',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '123',
  'pid' => '2',
  'path' => 'contact',
  'title' => 'Contact',
  'description' => 'Contact the FilmForge team',
  'weight' => '1',
  'type' => '118',
  'language' => '',
));
  install_add_menu_item(array (
  'mid' => '124',
  'pid' => '2',
  'path' => 'search',
  'title' => 'Search',
  'description' => 'Search this site',
  'weight' => '-9',
  'type' => '118',
  'language' => '',
));

  /* CONTENT */
  $node = new stdClass();
  $node->title = "Help";
  $node->body = "PLEASE COMPLETE. This page is for helpful suggestions and answers to Frequently Asked Questions.";
  $node->status = 1;
  $node->revision = 1;
  node_save($node);
  path_set_alias('node/'.$node->nid, 'help');

  $node = new stdClass();
  $node->title = "About";
  $node->body = "PLEASE COMPLETE.";
  $node->status = 1;
  $node->revision = 1;
  node_save($node);
  path_set_alias('node/'.$node->nid, 'about');
  
  
}

function install_add_block($block) {
  db_query("INSERT INTO {blocks} (module, delta, theme, status, weight, region, visibility, pages, custom, throttle, title) VALUES ('%s', '%s', '%s', %d, %d, '%s', %d, '%s', %d, %d, '%s')", $block['module'], $block['delta'], $block['theme'], $block['status'], $block['weight'], $block['region'], $block['visibility'], $block['pages'], $block['custom'], $block['throttle'], $block['title']);
}

function install_add_menu_item($item) {
  menu_save_item($item);
}
